import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import {AppComponent} from './components/app.component';
import {DashboardComponent} from './components/dashboard/dashboard.component'
import {routing} from './app.routing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { VehicleComponent } from './components/citation-wizard/vehicle.component';
import { InfractionComponent } from './components/citation-wizard/infraction.component';
import { InfractorComponent } from './components/citation-wizard/infractor.component';
import { SummaryComponent } from './components/citation-wizard/summary.component';
import { AdditionalCommentsComponent } from './components/citation-wizard/additional-comments.component';
import { CitationWizardComponent } from './components/citation-wizard/citation-wizard.component';
import { WizardComponent } from './components/wizard/wizard.component';
import { WizardStepComponent } from './components/wizard/wizard-step.component';
import { ReaxiumComponent } from './components/reaxium/reaxium.component';
import { SafeUrlPipe } from './pipes/safe-url.pipe';
@NgModule({
    imports: [BrowserModule, routing, FormsModule, ReactiveFormsModule],
    declarations: [AppComponent,ReaxiumComponent, DashboardComponent, VehicleComponent, 
      InfractionComponent, InfractorComponent , SummaryComponent,SafeUrlPipe,
      AdditionalCommentsComponent,CitationWizardComponent,WizardComponent, WizardStepComponent],
    bootstrap: [AppComponent]
  })

  export class AppModule { }