import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { AdditionalComments } from './model/additional-comments';
@Component({
   selector: 'additional-comment',
   template: `<div>
   <h3>Additional Comments </h3>
   <button class="btn btn-primary" (click)="addNewComment()">Add new comment</button>
   <div class="form-group" *ngFor="let comment of additionalCommentsView; let i = index">
     <small>Comment {{comment.additionalCommentId}}
       <button class="btn btn-secondary btn-sm btn-danger float-right" (click)="removeComment(i)">remove</button>
     </small>
     <br>
     <textarea class="form-control" (blur)="emitAdditionalComments()" [(ngModel)]="comment.comment"></textarea>
   </div>
 </div>
 `
})
export class AdditionalCommentsComponent implements OnInit {
   
    @Input() additionalComments: AdditionalComments[];

    @Output() emittedAdditionalComments : EventEmitter<AdditionalComments[]> = new EventEmitter<AdditionalComments[]>();

    additionalCommentsView: AdditionalComments[] = [];

  constructor(){}

  ngOnInit(): void {
      console.log('AdditionalComments Component initialized');
      this.emitAdditionalComments();

  }

  emitAdditionalComments()
  {
      this.emittedAdditionalComments.emit(this.additionalCommentsView);
  }

  addNewComment()
  {
      this.additionalCommentsView.push({
          additionalCommentId: this.additionalCommentsView.length + 1,
          comment: ''
      });
  }

  removeComment(index: number)
  {
      this.additionalCommentsView.splice(index, 1);
  }

}