import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Infraction } from './model/infraction';
@Component({
   selector: 'infraction',
   template: `<div>
   <h3>Infraction Type</h3>
   <div class="form-group form-check" *ngFor="let infraction of infractionsView">
       <input class="form-check-input" type="checkbox" (click)="toggleSelectedInfraction(infraction)" [checked]="infraction.selected">
       {{infraction.name}}<br>
   </div>
 </div>`
})
export class InfractionComponent implements OnInit {

  @Input() infractions: Infraction[];

  @Output() emittedInfractions : EventEmitter<Infraction[]> = new EventEmitter<Infraction[]>();

  infractionsView: Infraction[] = [
      {
          infractionId: 1,
          name: "Test infraction 1",
          description: "Test description for infraction number 1",
          selected: false,
          amount: 5
      },
      {
          infractionId: 2,
          name: "Test infraction 2",
          description: "Test description for infraction number 2",
          selected: false,
          amount: 2
      },
      {
          infractionId: 3,
          name: "Test infraction 3",
          description: "Test description for infraction number 3",
          selected: false,
          amount: 10
      },
      {
          infractionId: 4,
          name: "Test infraction 4",
          description: "Test description for infraction number 4",
          selected: false,
          amount: 1
      },
  ];

  constructor(){}

  ngOnInit(): void {
    
      console.log('Infraction Component initialized');
  }

    toggleSelectedInfraction(infraction: Infraction)
    {
        infraction.selected ? infraction.selected = false : infraction.selected = true;
        this.emittedInfractions.emit(this.infractionsView);
    }
}